*{
    scroll-behavior: none;
}

html{
    scroll-behavior: smooth;

}

body{
    
    font-family: 'Inter';
    /* font-family: "RBNo2.1b W00 BoldItalic"; */
    padding-top: 76px;
    background-color: #0000008e;
}

p, h1, h2, h3{
 color: #000;
}

h6, h5{    
    color: white;
}

/* Whatsapp Flotante */


.float-wa{
    position:fixed;
    width:60px;
    height:60px;
    bottom:40px;
    right:40px;
    background-color:#25d365f1;
    color:#FFF;
    border-radius:50px;
    text-align:center;
    font-size:30px;
    z-index:100;
}


header{
    background-color: rgba(0, 0, 0, 0.959); 
    
}

nav{
    background-color: #000000f1;
}

header .logo{
    width: 54px;
    margin-right: 18px;
    
}

header .logo2{
    width: 165px;
}

header .logoBuho{
    height: 60px;
    margin-left: 30px;
    
}




header h3{
    color: #021b29;
}

#hero{
    background-color: white;
}

#hero h2{
    color: #ffffffee;
}

#hero p{
    color: #ffffffee;
}

.navbar-toggler{
    border: 0;
    background-color: transparent;    
}

nav button .navbarimg{
    width: 35px;
}

/* h2{
    font-weight: 580;

} */

.hero {
   
    background: url(/img/hero.jpg);
    background-position: center;
    background-size: cover;
}

.hero h2{
    font-size: 40px;
}

@media (width >= 800px){
  
.hero h2{
    font-size: 60px;
}
  }

.p-hero{
 text-shadow: 0px 0px 8px #00000063;
}

.btn-blanco{
    color: #FFF!important;
}

header #menu a:hover{
    transition: all 0.5s;
    color: #31d56d;
    
} 

header #menu a{
 font-weight: 250;
 color: #FFF;
} 

#btn-nav:hover{
    transition: all 0.1s;
    background-color: #ffffff;
} 

#main {
    background-color: #FFF;
}

.btn{
    border-radius: 20px!important;
    font-weight: 400;
}

 .btn-primario{
    transition: all 0.5s;
    color: #2cb960;  
    background-color: #2cb960;
    border: none;
    padding: 10px 20px;
}

.btn-primario:hover{

    color: #000 !important;  
    background-color: #ffffff;
    border: none;
    
}

header .btn-primario{
    transition: all 0.5s;
    color: #2cb960; 
    background-color: #2cb960;
    border: none;
    
}

.navbar-brand {
    display: flex;
    align-items: center;
}


/* MODAL */


/* Estilo para el modal */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    color: #000;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    animation: forwards .5s step-end;
  }
  
  .modal-content {
    color: #000;
    background-color: #fff;
    margin: 15% auto;
    padding: 20px;
    width: 70%; /* Ajusta el tamaño a tu gusto */
    max-height: 100vh; 
    overflow-y: auto; 
  }

  @media (width >= 900px){
    .modal-content {
        width: 30%;
    }
  }

  body.modal-open {
    overflow: hidden;  /* Desactiva el scroll en el body */
  }


  
  .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
  }
  
  .close:hover,
  .close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
  }
  
  #modal h2, h3, h4, p, label{
    color: #000;
  }






.btn-primario.conseguilo-beelup{
    background-color: #f6a119e7
   
}

.conocemas-beelup{
   border-color: #f6a119ce;
   color: #f6a119cc;
   
}

.img-logo-hero2{
    width: 100px;  
}

.img-logo-hero{
    height: 75px;  
}

@media (width >= 800px){

.img-logo-hero2{
    width: 150px;  
}

.img-logo-hero{
  height: 110px;
  }
}
.logo-veo{
    height: 30px;
    padding-bottom: 4px;
}

.logo-beelup{
    height: 45px;
    padding-bottom: 4px;
}





/* PROGRAMES */

.partners-pro{
    background-color: white;
}

.video-pro-games{
    border-radius: 20px;
}

#pro-games{
    position: relative;
    min-height: 70vh;
    background-color: white;
}
#pro-games h2{
    color: #FFF;
    font-size: 50px;
}

#pro-games h3{
    color: #FFF;
    font-size: 25px;
}
.pro-game{
    background-color: white;
}

.video-pro-games{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;

}

.capa{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #021b29;
    opacity: 0.5;
    mix-blend-mode: overlay;

}

.promo{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
    margin: auto;
    z-index: 2;
    top: 130px;
    width: 80%;
    text-align: center;
}

/* Seccion DEPORTES ACCION */

.img-futbol{
    height: 380px;
    border-radius: 15px;
    background-image: url(https://cdn.prod.website-files.com/65a1660e61e47f70a246ac5c/65e998118c1767c3ea759db9_soccer.webp);
    background-position: center;
    background-size: cover;
}

.img-padel{
    height: 330px;
    border-radius: 15px;
    background-image: url(https://www.lavanguardia.com/uploads/2019/12/18/5fa581c1890b3.jpeg);
    background-position: right;
    background-size: cover;
    background-repeat: no-repeat;
    filter: sepia(0.4) saturate(1.5);
}

.img-basket{
    height: 330px;
    border-radius: 15px;
    background-image: url(https://cdn.prod.website-files.com/65a1660e61e47f70a246ac5c/65e999ac7b17a92daeb809d1_basketball_highschool.webp);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.img-rugby{
    height: 380px;
    border-radius: 15px;
    background-image: url(https://cdn.prod.website-files.com/65a1660e61e47f70a246ac5c/65d760c1c1df87512bd75145_rugby1x1.webp);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

#deportes-accion h2{
    padding-top: 17px;
}

#deportes-accion p{
    padding-top: 6px;
}

#deportes-accion{
    background-color: white;
}
/* pagina Veo-Cam */


.video-main{
    border-radius: 15px;
    width: 100%;
}

.video-main-2{
    width: 100%;
    height: 80%;
}


.videoWrapper{
    position: relative;
}



.titulo-veo {
    position: absolute; /* Lo posicionamos de manera absoluta dentro de .videoWrapper */
    top: 20%;
    left: 8%;
    font-size: 30px;
    color: white; /* Color del texto (puedes personalizarlo) */
     z-index: 1; /* Asegura que el h1 esté encima del video */
     display: block;
}

@media (width >= 500px) {
    .titulo-veo {
        
        font-size: 50px; 
 }
}


@media (width >= 650px) {
    .titulo-veo {
       font-size: 60px;
    
}}

@media (width >= 710px) {
    .titulo-veo {
       font-size: 70px;
    
}}
@media (width >= 1000px) {
    .titulo-veo {
       font-size: 89px;
    
}}
@media (width >= 1200px) {
    .titulo-veo {
       font-size: 100px;
    
}}


.img-veo{
    position: absolute; /* Lo posicionamos de manera absoluta dentro de .videoWrapper */
    top: 25%;
    right: 8%;
    z-index: 1; /* Asegura que el h1 esté encima del video */
    border-radius:10px;
   
}
/* PESTANHAS VEO */

.tab_box{
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    border-bottom: 2px solid rgba(229,229,229);
}

.tab_btn{
    font-size: 15px;
    font-weight: 600;
    color: #919191;
    background: none;
    border: none;
    padding: 18px;
    cursor: pointer;
}

@media((width  >= 700px)){
.tab_btn{
    font-size: 20px;
}}




.tab_box .tab_btn.active{
    color: #05b847;
}

.content-box .content{
    display: none;
  animation: moving .5s ease;
}

@keyframes moving{
    from{transform: translateX(50px);opacity: 0;}
    to{transform: translateX(0px);opacity: 1;}
}

.content-box .content.active{
  display: block;
}

@media (width >= 999px) {
    .content-box .content.active{
    display: flex;
      }
}


/* .line{
    position: absolute;
    top: 154%;
    left: 12px;
    width: 90px;
    height: 5px;
    background-color: #2cb960;
} */






/* Paneles Veo */

.panel-veo{
  
    border: solid 1px #32323214;
    border-radius: 4%;
    box-shadow: 0px 0px 13px #0d0d0e3f;
    background-color: #3c3b3b0c;
    margin-bottom: 17px;
    
}

.panel-veo h3{
    padding-top: 10px;
    font-size: 19px;
    font-weight: 800;
}




.titulo-veo2 {
    position: absolute; /* Lo posicionamos de manera absoluta dentro de .videoWrapper */
    top: 0px;
    color: white; /* Color del texto (puedes personalizarlo) */
    font-size: 40px; /* Tamaño de fuente (ajústalo según tus preferencias) */
    z-index: 1; /* Asegura que el h1 esté encima del video */
}

@media (width >= 375px) {
    .titulo-veo2 {
        top: 120px;
        left: 20px;
        font-size: 38px; 
 }
}

@media (width >= 475px) {
    .titulo-veo2 {
        top: 120px;
        left: 60px;
        font-size: 46px; 
 }
}

@media (width >= 600px) {
    .titulo-veo2 {
       
        top: 100px;
        left: 50px;
        font-size: 60px;
 }
}

@media (width >= 1000px) {
    .titulo-veo2 {
       
        top: 100px;
        left: 120px;
        font-size: 80px; 
        
 }
}

@media (width >= 1150px) {
    .titulo-veo2 {
       
        top: 110px;
        left: 140px;
        font-size: 90px;
 }
}

.boton-veo {
  
    position: absolute; /* Lo posicionamos de manera absoluta dentro de .videoWrapper */
    top: 290px;
    color: white; /* Color del texto (puedes personalizarlo) */
    font-size: 20px; /* Tamaño de fuente (ajústalo según tus preferencias) */
    z-index: 1; /* Asegura que el h1 esté encima del video */
    background-color: #2cb960;
    border: 0;
    transition: 0.5s;
    
}

.boton-veo:hover{
background-color: #021b29;
}

@media (width >= 375px) {
    .boton-veo {
       
        font-size: 15px; 
 }
}

@media (width >= 475px) {
    .boton-veo {
      
        font-size: 16px; 
 }
}

@media (width >= 600px) {
    .boton-veo {
    
        font-size: 17px;
        
 }
}



.banner-veo-1{
    height: 60vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0.39), rgba(0, 0, 0, 0.247)), url(/img/veo-camara-sola.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: 0.4s;
    filter: brightness(1);
}
.banner-veo-2{
    height: 60vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0.39), rgba(0, 0, 0, 0.247)), url(/img/veo-camara-en-cancha.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: 0.4s;
    filter: brightness(1);
    
}
.banner-veo-3{
    height: 60vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0.39), rgba(0, 0, 0, 0.247)), url(/img/veo-camara-sola-2.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: 0.4s;
    filter: brightness(1);
    
}

.div-panel-veo{
    background-color: #3cd80d2a;
    border-radius: 15px;
    
} 

.div-panel-beelup{
    /* background-color: #3dd80d3d; */
    background-color: rgba(172, 169, 169, 0.185);
    border-radius: 15px;
  
} 

/* VIDEO SHOWCASE */

/* .video-showcase {
    background-color: #121212;
    color: #fff;
    padding: 40px 20px;
    text-align: center;
  }
  
  .video-showcase h2 {
    font-size: 28px;
    margin-bottom: 20px;
  }
  
  .video-grid {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  }
  
  .video-item {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
  }
  
  .video-showcase iframe {
    width: 100%;
    border: 3px solid #fff;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
  }
  
  .video-item:hover iframe {
    transform: scale(1.05);
    box-shadow: 0 4px 20px rgba(255, 255, 255, 0.5);
  } */


  /* video selector */

  .video-carousel {
    position: relative;
    width: 100%;
    height: 80vh;
    overflow: hidden;
    background-color: white;
  }
  
  .carousel-container {
    position: relative;
    width: 100%;
    height: 100%;
    background-color: white;
  }
  
  .video-slide {
    position: absolute;
    top: 0;
    left: 100%;
    width: 100%;
    height: 100%;
    display: none;
  }
  
  .video-slide.active {
    display: block;
    left: 0;
  }
  
  .video-carousel video {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  
  .carousel-indicators {
    position: absolute;
    bottom: 50px;
    left: 35%;
    transform: translateX(-50%);
    display: flex;
    gap: 10px;
  }
  
  .indicator {
    width: 15px;
    height: 15px;
    background-color: #666;
    border-radius: 50%;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }
  
  .indicator.active {
    background-color: #fff;
  }
  
  .btn-play-large {
    position: absolute;
    bottom: 50px;
    left: 10%;
    background-color: #6f767275;
    color: white;
    font-size: 1rem;
    padding: 1rem 1.3rem 1rem 1.4rem;
    border: none;
    border-radius: 60px;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }

  .play{
    height: 15px;
  }

  
  .btn-play-large:hover {
    background-color: #31d56d;
  }
  
  /* Modal de video */
  .video-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 1000;
  }
  
  .modal-content2 {
    position: relative;
    width: 80%;
    max-width: 900px;
    height: 60%;
    background-color: #000000;
  }
  
  .btn-close {
    position: absolute;
    bottom: 350px;
    left: 100%;
    background: #ffffff4a;
    color: rgb(255, 255, 255);
    font-size: 1.5rem;
    padding: 0.2rem 0.5rem 0.8rem;
    border-radius: 60px;
    border: none;
    cursor: pointer;
  }
/* FOOTER */

footer {
    background-color: #000000;
    height: 90px;
}

footer p{
    font-size: 14px;
    margin-top: 10px;
    color: white;
}

footer a{
    margin-top: 6px;
    transition: 0.5s;
    color: #000;
}

footer a:hover{
color: #05b847;
}


